import { JavaObject } from '../../../java/lang/JavaObject';
export declare class AbiturFachbelegungHalbjahr extends JavaObject {
    halbjahrKuerzel: String;
    kursartKuerzel: String;
    schriftlich: Boolean | null;
    biliSprache: String | null;
    lehrer: Number | null;
    wochenstunden: number;
    fehlstundenGesamt: number;
    fehlstundenUnentschuldigt: number;
    notenkuerzel: String | null;
    block1gewertet: Boolean | null;
    block1kursAufZeugnis: Boolean | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): AbiturFachbelegungHalbjahr;
    static transpilerToJSON(obj: AbiturFachbelegungHalbjahr): string;
    static transpilerToJSONPatch(obj: Partial<AbiturFachbelegungHalbjahr>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_gost_AbiturFachbelegungHalbjahr(obj: unknown): AbiturFachbelegungHalbjahr;
